# wds-client
This page lists current APIs.
As of v0.2, all APIs are subject to change without notice.


This Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:

- API version: v0.2
- Package version: 0.2.97
- Build package: org.openapitools.codegen.languages.PythonClientCodegen

## Requirements.

Python 2.7 and 3.4+

## Installation & Usage
### pip install

If the python package is hosted on a repository, you can install directly using:

```sh
pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git
```
(you may need to run `pip` with root permission: `sudo pip install git+https://github.com/GIT_USER_ID/GIT_REPO_ID.git`)

Then import the package:
```python
import wds_client
```

### Setuptools

Install via [Setuptools](http://pypi.python.org/pypi/setuptools).

```sh
python setup.py install --user
```
(or `sudo python setup.py install` to install the package for all users)

Then import the package:
```python
import wds_client
```

## Getting Started

Please follow the [installation procedure](#installation--usage) and then run the following:

```python
from __future__ import print_function

import time
import wds_client
from wds_client.rest import ApiException
from pprint import pprint

# Defining the host is optional and defaults to http://..
# See configuration.py for a list of all supported configuration parameters.
configuration = wds_client.Configuration(
    host = "http://.."
)

# The client must configure the authentication and authorization parameters
# in accordance with the API server security policy.
# Examples for each auth method are provided below, use the example that
# satisfies your auth use case.

# Configure Bearer authorization: bearerAuth
configuration = wds_client.Configuration(
    access_token = 'YOUR_BEARER_TOKEN'
)


# Enter a context with an instance of the API client
with wds_client.ApiClient(configuration) as api_client:
    # Create an instance of the API class
    api_instance = wds_client.CloningApi(api_client)
    v = 'v0.2' # str | API version (default to 'v0.2')
backup_restore_request = wds_client.BackupRestoreRequest() # BackupRestoreRequest | A backup request

    try:
        # Create a backup of all WDS data
        api_response = api_instance.create_backup(v, backup_restore_request)
        pprint(api_response)
    except ApiException as e:
        print("Exception when calling CloningApi->create_backup: %s\n" % e)
    
```

## Documentation for API Endpoints

All URIs are relative to *http://..*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*CloningApi* | [**create_backup**](docs/CloningApi.md#create_backup) | **POST** /backup/{v} | Create a backup of all WDS data
*CloningApi* | [**get_backup_status**](docs/CloningApi.md#get_backup_status) | **GET** /backup/{v}/{trackingId} | Check status of a WDS data backup
*CloningApi* | [**get_clone_status**](docs/CloningApi.md#get_clone_status) | **GET** /clone/{v} | Check status of a WDS data clone
*GeneralWDSInformationApi* | [**status_get**](docs/GeneralWDSInformationApi.md#status_get) | **GET** /status | Gets health status for WDS -- generated via Spring Boot Actuator (see https://docs.spring.io/spring-boot/docs/current/actuator-api/htmlsingle/#health for details)
*GeneralWDSInformationApi* | [**version_get**](docs/GeneralWDSInformationApi.md#version_get) | **GET** /version | Gets related git and build version info for WDS -- generated via Spring Boot Actuator (see https://docs.spring.io/spring-boot/docs/current/actuator-api/htmlsingle/#info for details)
*InstancesApi* | [**create_wds_instance**](docs/InstancesApi.md#create_wds_instance) | **POST** /instances/{v}/{instanceid} | Create an instance
*InstancesApi* | [**delete_wds_instance**](docs/InstancesApi.md#delete_wds_instance) | **DELETE** /instances/{v}/{instanceid} | Delete an instance
*InstancesApi* | [**list_wds_instances**](docs/InstancesApi.md#list_wds_instances) | **GET** /instances/{v} | List instances
*RecordsApi* | [**batch_write_records**](docs/RecordsApi.md#batch_write_records) | **POST** /{instanceid}/batch/{v}/{type} | Batch write records
*RecordsApi* | [**create_or_replace_record**](docs/RecordsApi.md#create_or_replace_record) | **PUT** /{instanceid}/records/{v}/{type}/{id} | Create or replace record
*RecordsApi* | [**delete_record**](docs/RecordsApi.md#delete_record) | **DELETE** /{instanceid}/records/{v}/{type}/{id} | Delete record
*RecordsApi* | [**get_record**](docs/RecordsApi.md#get_record) | **GET** /{instanceid}/records/{v}/{type}/{id} | Get record
*RecordsApi* | [**get_records_as_tsv**](docs/RecordsApi.md#get_records_as_tsv) | **GET** /{instanceid}/tsv/{v}/{type} | Retrieve all records in record type as tsv.
*RecordsApi* | [**query_records**](docs/RecordsApi.md#query_records) | **POST** /{instanceid}/search/{v}/{type} | Query records
*RecordsApi* | [**update_record**](docs/RecordsApi.md#update_record) | **PATCH** /{instanceid}/records/{v}/{type}/{id} | Update record
*RecordsApi* | [**upload_tsv**](docs/RecordsApi.md#upload_tsv) | **POST** /{instanceid}/tsv/{v}/{type} | Import records to a record type from a tsv file
*SchemaApi* | [**delete_record_type**](docs/SchemaApi.md#delete_record_type) | **DELETE** /{instanceid}/types/{v}/{type} | Delete record type
*SchemaApi* | [**describe_all_record_types**](docs/SchemaApi.md#describe_all_record_types) | **GET** /{instanceid}/types/{v} | Describe all record types
*SchemaApi* | [**describe_record_type**](docs/SchemaApi.md#describe_record_type) | **GET** /{instanceid}/types/{v}/{type} | Describe record type
*SnapshotsApi* | [**import_snapshot**](docs/SnapshotsApi.md#import_snapshot) | **POST** /{instanceid}/snapshots/{v}/{snapshotid} | Import a snapshot from Terra Data Repo


## Documentation For Models

 - [App](docs/App.md)
 - [AttributeSchema](docs/AttributeSchema.md)
 - [BackupJob](docs/BackupJob.md)
 - [BackupJobAllOf](docs/BackupJobAllOf.md)
 - [BackupResponse](docs/BackupResponse.md)
 - [BackupRestoreRequest](docs/BackupRestoreRequest.md)
 - [BatchOperation](docs/BatchOperation.md)
 - [BatchRecordRequest](docs/BatchRecordRequest.md)
 - [BatchResponse](docs/BatchResponse.md)
 - [Build](docs/Build.md)
 - [CloneJob](docs/CloneJob.md)
 - [CloneJobAllOf](docs/CloneJobAllOf.md)
 - [CloneResponse](docs/CloneResponse.md)
 - [Commit](docs/Commit.md)
 - [Component](docs/Component.md)
 - [Components](docs/Components.md)
 - [DbComponent](docs/DbComponent.md)
 - [DbValidationcomponent](docs/DbValidationcomponent.md)
 - [DbValidationcomponentDetails](docs/DbValidationcomponentDetails.md)
 - [DiskSpaceComponent](docs/DiskSpaceComponent.md)
 - [DiskSpaceComponentDetails](docs/DiskSpaceComponentDetails.md)
 - [ErrorResponse](docs/ErrorResponse.md)
 - [Git](docs/Git.md)
 - [InlineObject](docs/InlineObject.md)
 - [Job](docs/Job.md)
 - [RecordAttributeDefinition](docs/RecordAttributeDefinition.md)
 - [RecordQueryResponse](docs/RecordQueryResponse.md)
 - [RecordRequest](docs/RecordRequest.md)
 - [RecordResponse](docs/RecordResponse.md)
 - [RecordTypeSchema](docs/RecordTypeSchema.md)
 - [RequestBodySearch](docs/RequestBodySearch.md)
 - [SearchOperator](docs/SearchOperator.md)
 - [SearchRequest](docs/SearchRequest.md)
 - [SearchSortDirection](docs/SearchSortDirection.md)
 - [StackTraceElement](docs/StackTraceElement.md)
 - [StatusResponse](docs/StatusResponse.md)
 - [TsvUploadResponse](docs/TsvUploadResponse.md)
 - [VersionResponse](docs/VersionResponse.md)


## Documentation For Authorization


## bearerAuth

- **Type**: Bearer authentication


## Author




